OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKIGES
IGESDimen

# IGESDimen_AngularDimension Class Reference

defines AngularDimension, Type <202> Form <0>
in package IGESDimen
Used to dimension angles

`#include <IGESDimen_AngularDimension.hxx>`

Inheritance diagram for IGESDimen_AngularDimension:

[legend]

## Public Member Functions
Standard_EXPORT | IGESDimen_AngularDimension ()
Standard_EXPORT void | Init (const Handle(IGESDimen_GeneralNote)&aNote, const Handle(IGESDimen_WitnessLine)&aLine, const Handle(IGESDimen_WitnessLine)&anotherLine, const gp_XY &aVertex, const Standard_Real aRadius, const Handle(IGESDimen_LeaderArrow)&aLeader, const Handle(IGESDimen_LeaderArrow)&anotherLeader)
| This method is used to set the fields of the class AngularDimension - aNote : General Note Entity - aLine : First Witness Line Entity or Null Handle - anotherLine : Second Witness Line Entity or Null Handle - aVertex : Coordinates of vertex point - aRadius : Radius of leader arcs - aLeader : First Leader Entity - anotherLeader : Second Leader Entity .
Standard_EXPORT Handle_IGESDimen_GeneralNote | Note () const
| returns the General Note Entity of the Dimension.
Standard_EXPORT Standard_Boolean | HasFirstWitnessLine () const
| returns False if theFirstWitnessLine is Null Handle.
Standard_EXPORT Handle_IGESDimen_WitnessLine | FirstWitnessLine () const
| returns the First Witness Line Entity or Null Handle.
Standard_EXPORT Standard_Boolean | HasSecondWitnessLine () const
| returns False if theSecondWitnessLine is Null Handle.
Standard_EXPORT Handle_IGESDimen_WitnessLine | SecondWitnessLine () const
| returns the Second Witness Line Entity or Null Handle.
Standard_EXPORT gp_Pnt2d | Vertex () const
| returns the co-ordinates of the Vertex point as Pnt2d from gp.
Standard_EXPORT gp_Pnt2d | TransformedVertex () const
| returns the co-ordinates of the Vertex point as Pnt2d from gp after Transformation. (Z = 0.0 for Transformation)
Standard_EXPORT Standard_Real | Radius () const
| returns the Radius of the Leader arcs.
Standard_EXPORT Handle_IGESDimen_LeaderArrow | FirstLeader () const
| returns the First Leader Entity.
Standard_EXPORT Handle_IGESDimen_LeaderArrow | SecondLeader () const
| returns the Second Leader Entity.
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Handle_IGESDimen_GeneralNote | theNote
Handle_IGESDimen_WitnessLine | theFirstWitnessLine
Handle_IGESDimen_WitnessLine | theSecondWitnessLine
gp_XY | theVertex
Standard_Real | theRadius
Handle_IGESDimen_LeaderArrow | theFirstLeader
Handle_IGESDimen_LeaderArrow | theSecondLeader

## Constructor & Destructor Documentation

Standard_EXPORT IGESDimen_AngularDimension::IGESDimen_AngularDimension | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Handle_IGESDimen_LeaderArrow IGESDimen_AngularDimension::FirstLeader | ( |  | ) | const

Standard_EXPORT Handle_IGESDimen_WitnessLine IGESDimen_AngularDimension::FirstWitnessLine | ( |  | ) | const

Standard_EXPORT const IGESDimen_AngularDimension::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from IGESData_IGESEntity.

Standard_EXPORT Standard_Boolean IGESDimen_AngularDimension::HasFirstWitnessLine | ( |  | ) | const

Standard_EXPORT Standard_Boolean IGESDimen_AngularDimension::HasSecondWitnessLine | ( |  | ) | const

Standard_EXPORT void IGESDimen_AngularDimension::Init | ( | const Handle(IGESDimen_GeneralNote)& | aNote,
|  | const Handle(IGESDimen_WitnessLine)& | aLine,
|  | const Handle(IGESDimen_WitnessLine)& | anotherLine,
|  | const gp_XY & | aVertex,
|  | const Standard_Real | aRadius,
|  | const Handle(IGESDimen_LeaderArrow)& | aLeader,
|  | const Handle(IGESDimen_LeaderArrow)& | anotherLeader
| ) |

Standard_EXPORT Handle_IGESDimen_GeneralNote IGESDimen_AngularDimension::Note | ( |  | ) | const

Standard_EXPORT Standard_Real IGESDimen_AngularDimension::Radius | ( |  | ) | const

Standard_EXPORT Handle_IGESDimen_LeaderArrow IGESDimen_AngularDimension::SecondLeader | ( |  | ) | const

Standard_EXPORT Handle_IGESDimen_WitnessLine IGESDimen_AngularDimension::SecondWitnessLine | ( |  | ) | const

Standard_EXPORT gp_Pnt2d IGESDimen_AngularDimension::TransformedVertex | ( |  | ) | const

Standard_EXPORT gp_Pnt2d IGESDimen_AngularDimension::Vertex | ( |  | ) | const

## Field Documentation

Handle_IGESDimen_LeaderArrow IGESDimen_AngularDimension::theFirstLeader`[private]`

Handle_IGESDimen_WitnessLine IGESDimen_AngularDimension::theFirstWitnessLine`[private]`

Handle_IGESDimen_GeneralNote IGESDimen_AngularDimension::theNote`[private]`

Standard_Real IGESDimen_AngularDimension::theRadius`[private]`

Handle_IGESDimen_LeaderArrow IGESDimen_AngularDimension::theSecondLeader`[private]`

Handle_IGESDimen_WitnessLine IGESDimen_AngularDimension::theSecondWitnessLine`[private]`

gp_XY IGESDimen_AngularDimension::theVertex`[private]`

The documentation for this class was generated from the following file:

- IGESDimen_AngularDimension.hxx